﻿using System;
using System.Collections;
using System.Collections.Generic;
using PushPlatform.Data;

namespace PushPlatform.Data
{
    public partial class WechatMsgmodel : EntityBase
    {
        #region Default Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="Account"/> class.
        /// </summary>
        public WechatMsgmodel()
        {
            Initialize();
        }
        
        public WechatMsgmodel(WechatMsgmodel model)
        {
            Initialize();
            this.Id=model.Id;
            this.ProjectId=model.ProjectId;
            this.Send_Cfg_Id=model.Send_Cfg_Id;
            this.Templete_Id=model.Templete_Id;
            this.Title=model.Title;
            this.OriginalId=model.OriginalId;
            this.Content_Temp=model.Content_Temp;
            this.Create_User=model.Create_User;
            this.Create_Time=model.Create_Time;
            this.Update_User=model.Update_User;
            this.Update_Time=model.Update_Time;
            this.Is_Deleted=model.Is_Deleted;
            this.Timestamp=model.Timestamp;
        }

        protected override void Initialize()
        {
            OnCreated();
        }
        
        #endregion
        
        #region Column Mapped Properties
        
        
        private System.String _identification;
        
        public virtual System.String Id
        {
            get { return _identification; }
            set
            {
                _identification = value;
            }
        }
        
        private System.String _projectId;
        
        public virtual System.String ProjectId
        {
            get { return _projectId; }
            set
            {
                _projectId = value;
            }
        }
        
        private System.String _sendCfgId;
        
        public virtual System.String Send_Cfg_Id
        {
            get { return _sendCfgId; }
            set
            {
                _sendCfgId = value;
            }
        }
        
        private System.String _templeteId;
        
        public virtual System.String Templete_Id
        {
            get { return _templeteId; }
            set
            {
                _templeteId = value;
            }
        }
        
        private System.String _title;
        
        public virtual System.String Title
        {
            get { return _title; }
            set
            {
                _title = value;
            }
        }
        
        private System.String _originalId;
        
        public virtual System.String OriginalId
        {
            get { return _originalId; }
            set
            {
                _originalId = value;
            }
        }
        
        private System.String _contentTemp;
        
        public virtual System.String Content_Temp
        {
            get { return _contentTemp; }
            set
            {
                _contentTemp = value;
            }
        }
        
        private System.String _createUser;
        
        public virtual System.String Create_User
        {
            get { return _createUser; }
            set
            {
                _createUser = value;
            }
        }
        
        private System.DateTime _createTime;
        
        public virtual System.DateTime Create_Time
        {
            get { return _createTime; }
            set
            {
                _createTime = value;
            }
        }
        
        private System.String _updateUser;
        
        public virtual System.String Update_User
        {
            get { return _updateUser; }
            set
            {
                _updateUser = value;
            }
        }
        
        private System.DateTime? _updateTime;
        
        public virtual System.DateTime? Update_Time
        {
            get { return _updateTime; }
            set
            {
                _updateTime = value;
            }
        }
        
        private System.SByte _isDeleted;
        
        public virtual System.SByte Is_Deleted
        {
            get { return _isDeleted; }
            set
            {
                _isDeleted = value;
            }
        }
        
        private System.Int64 _timestamp;
        
        public virtual System.Int64 Timestamp
        {
            get { return _timestamp; }
            set
            {
                _timestamp = value;
            }
        }
        
        
        
        
        
        
        
        #endregion
        
        #region Associations Mappings
        
        #endregion
        
        #region Extensibility Method
        
        static partial void AddSharedRules();
        
        partial void OnCreated();
        
        
        #endregion
        
        
    }
}

